"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateElasticsearchDomain_1 = require("../model/operations/CreateElasticsearchDomain");
var CreateElasticsearchDomainCommand = /** @class */ (function () {
    function CreateElasticsearchDomainCommand(input) {
        this.input = input;
        this.model = CreateElasticsearchDomain_1.CreateElasticsearchDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateElasticsearchDomainCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateElasticsearchDomainCommand;
}());
exports.CreateElasticsearchDomainCommand = CreateElasticsearchDomainCommand;
//# sourceMappingURL=CreateElasticsearchDomainCommand.js.map