"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpgradeElasticsearchDomain_1 = require("../model/operations/UpgradeElasticsearchDomain");
var UpgradeElasticsearchDomainCommand = /** @class */ (function () {
    function UpgradeElasticsearchDomainCommand(input) {
        this.input = input;
        this.model = UpgradeElasticsearchDomain_1.UpgradeElasticsearchDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpgradeElasticsearchDomainCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpgradeElasticsearchDomainCommand;
}());
exports.UpgradeElasticsearchDomainCommand = UpgradeElasticsearchDomainCommand;
//# sourceMappingURL=UpgradeElasticsearchDomainCommand.js.map